## net.i2p.client.streaming
Interface MessageOutputStream.WriteStatus

All Known Implementing Classes:
  PacketLocal

Enclosing class:
  MessageOutputStream

    public static interface MessageOutputStream.WriteStatus

Define a way to detect the status of a write

Method Summary
`void` `waitForAccept(int maxWaitMs)` wait until the data written is accepted into the outbound pool, which we throttle rather than accept arbitrary data and queue
`void` `waitForCompletion(int maxWaitMs)` wait until the data written either fails or succeeds
`boolean` `writeAccepted()` the write was accepted.
`boolean` `writeFailed()` did the write fail?
`boolean` `writeSuccessful()` did the write succeed?

Method Detail

### waitForCompletion

    void waitForCompletion(int maxWaitMs)

  wait until the data written either fails or succeeds

### waitForAccept

    void waitForAccept(int maxWaitMs)

  wait until the data written is accepted into the outbound pool, which we throttle rather than accept arbitrary data and queue

### writeAccepted

    boolean writeAccepted()

  the write was accepted. aka did the socket not close?

### writeFailed

    boolean writeFailed()

  did the write fail?

### writeSuccessful

    boolean writeSuccessful()

  did the write succeed?